ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

o

org.bdgenomics.adam.models

# ReferencePosition 

###
Companion class ReferencePosition

#### object ReferencePosition extends Serializable

Companion object for creating and sorting ReferencePositions.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferencePosition
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val UNMAPPED: ReferencePosition

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.g.

   The UNMAPPED value is a convenience value, which can be used to indicate a position which is not located anywhere along the reference sequences (see, e.g. its use in GenomicPositionPartitioner).

5.  def apply(referenceName: String, pos: Long, strand: Strand): ReferencePosition

   Convenience method for building a ReferencePosition.

   Convenience method for building a ReferencePosition.

   referenceName

     The name of the reference sequence this locus exists on.

   pos

     The position of this locus.

   strand

     The strand that this locus is on.

6.  def apply(referenceName: String, pos: Long): ReferencePosition

   Convenience method for building a ReferencePosition.

   Convenience method for building a ReferencePosition.

   referenceName

     The name of the reference sequence this locus exists on.

   pos

     The position of this locus.

7.  def apply(genotype: Genotype): ReferencePosition

   Generates a reference position from a genotype.

   Generates a reference position from a genotype.

   genotype

     Genotype from which to generate a reference position.

   returns

     The reference position of this genotype.

8.  def apply(variant: Variant): ReferencePosition

   Generates a reference position from a called variant.

   Generates a reference position from a called variant.

   variant

     Called variant from which to generate a reference position.

   returns

     The reference position of this variant.

9.  def apply(record: Alignment): ReferencePosition

   Generates a reference position from a read.

   Generates a reference position from a read. This function generates the position from the start mapping position of the read.

   record

     Read from which to generate a reference position.

   returns

     Reference position of the start position.

   See also

     fivePrime

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  implicit def orderingForOptionalPositions: OptionalPositionOrdering.type
21.  implicit def orderingForPositions: PositionOrdering.type
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped